(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     22601,        665]
NotebookOptionsPosition[     18768,        587]
NotebookOutlinePosition[     19184,        604]
CellTagsIndexPosition[     19141,        601]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"W", "[", 
   RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "p"}], " ", 
    RowBox[{
     RowBox[{"x", "^", "2"}], "/", "q"}]}], "+", 
   RowBox[{"4", "x", " ", "y"}], "-", 
   RowBox[{"2", 
    RowBox[{"y", "^", "2"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", 
       RowBox[{"p", "'"}]}], "+", "2"}], ")"}], 
    RowBox[{"z", "^", "2"}]}], "-", 
   RowBox[{
    RowBox[{"Pi", "^", "2"}], "/", "6"}], "+", 
   RowBox[{"PolyLog", "[", 
    RowBox[{"2", ",", 
     RowBox[{"Exp", "[", 
      RowBox[{"2", "\[ImaginaryI]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "y"}], "-", "z"}], ")"}]}], "]"}]}], "]"}], "+", 
   RowBox[{"PolyLog", "[", 
    RowBox[{"2", ",", 
     RowBox[{"Exp", "[", 
      RowBox[{"2", "\[ImaginaryI]", 
       RowBox[{"(", 
        RowBox[{"z", "-", "y"}], ")"}]}], "]"}]}], "]"}], "+", 
   RowBox[{"PolyLog", "[", 
    RowBox[{"2", ",", 
     RowBox[{"Exp", "[", 
      RowBox[{"2", "\[ImaginaryI]", 
       RowBox[{"(", 
        RowBox[{"y", "-", "x"}], ")"}]}], "]"}]}], "]"}], "-", 
   RowBox[{"PolyLog", "[", 
    RowBox[{"2", ",", 
     RowBox[{"Exp", "[", 
      RowBox[{"2", "\[ImaginaryI]", 
       RowBox[{"(", 
        RowBox[{"-", "y"}], ")"}]}], "]"}]}], "]"}], "-", 
   RowBox[{"PolyLog", "[", 
    RowBox[{"2", ",", 
     RowBox[{"Exp", "[", 
      RowBox[{"2", "\[ImaginaryI]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "y"}], "-", "x"}], ")"}]}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.9183490611186047`*^9, 3.9183492011513023`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"ed18518d-4282-4a06-812b-f009209425a5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    SuperscriptBox["\[Pi]", "2"], "6"]}], "-", 
  FractionBox[
   RowBox[{"p", " ", 
    SuperscriptBox["x", "2"]}], "q"], "+", 
  RowBox[{"4", " ", "x", " ", "y"}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["y", "2"]}], "-", 
  RowBox[{"PolyLog", "[", 
   RowBox[{"2", ",", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"2", " ", "\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "x"}], "-", "y"}], ")"}]}]]}], "]"}], "-", 
  RowBox[{"PolyLog", "[", 
   RowBox[{"2", ",", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "y"}]]}], "]"}], "+", 
  RowBox[{"PolyLog", "[", 
   RowBox[{"2", ",", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"2", " ", "\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "x"}], "+", "y"}], ")"}]}]]}], "]"}], "+", 
  RowBox[{"PolyLog", "[", 
   RowBox[{"2", ",", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"2", " ", "\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "y"}], "-", "z"}], ")"}]}]]}], "]"}], "+", 
  RowBox[{"PolyLog", "[", 
   RowBox[{"2", ",", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"2", " ", "\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "y"}], "+", "z"}], ")"}]}]]}], "]"}], "-", 
  RowBox[{
   SuperscriptBox["z", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["p", "\[Prime]",
       MultilineFunction->None]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.91834920145693*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"77030933-05dc-4d15-bd3a-d99461ffc3cd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{"W", "[", 
    RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.9183492094465036`*^9, 3.9183492172773995`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"2fc5afe1-3f73-4ae4-9adf-8b6575aa83c6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"2", " ", "p", " ", "x"}], "q"]}], "+", 
  RowBox[{"4", " ", "y"}], "-", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", 
   RowBox[{"Log", "[", 
    RowBox[{"1", "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "x"}], "-", "y"}], ")"}]}]]}], "]"}]}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", 
   RowBox[{"Log", "[", 
    RowBox[{"1", "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "x"}], "+", "y"}], ")"}]}]]}], "]"}]}]}]], "Output",
 CellChangeTimes->{3.91834921750024*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"400baec3-3f6b-4832-91f7-028a499d2c42"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{"W", "[", 
    RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]], "Input",
 CellChangeTimes->{{3.9183492250187225`*^9, 3.9183492253557115`*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"203c4e3f-6267-471d-9f19-1ce26fcfd351"],

Cell[BoxData[
 RowBox[{
  RowBox[{"4", " ", "x"}], "-", 
  RowBox[{"4", " ", "y"}], "-", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", 
   RowBox[{"Log", "[", 
    RowBox[{"1", "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "x"}], "-", "y"}], ")"}]}]]}], "]"}]}], "-", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", 
   RowBox[{"Log", "[", 
    RowBox[{"1", "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "y"}]]}], "]"}]}], "-", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", 
   RowBox[{"Log", "[", 
    RowBox[{"1", "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "x"}], "+", "y"}], ")"}]}]]}], "]"}]}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", 
   RowBox[{"Log", "[", 
    RowBox[{"1", "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "y"}], "-", "z"}], ")"}]}]]}], "]"}]}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", 
   RowBox[{"Log", "[", 
    RowBox[{"1", "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "y"}], "+", "z"}], ")"}]}]]}], "]"}]}]}]], "Output",
 CellChangeTimes->{3.9183492256481466`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"ae8e434a-2452-4638-9488-54de46a49869"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{"W", "[", 
    RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]], "Input",
 CellChangeTimes->{{3.9183492317645597`*^9, 3.9183492319910965`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"6e7ae83c-28de-41c7-b783-aab0171e9323"],

Cell[BoxData[
 RowBox[{
  RowBox[{"2", " ", "\[ImaginaryI]", " ", 
   RowBox[{"Log", "[", 
    RowBox[{"1", "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "y"}], "-", "z"}], ")"}]}]]}], "]"}]}], "-", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", 
   RowBox[{"Log", "[", 
    RowBox[{"1", "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "y"}], "+", "z"}], ")"}]}]]}], "]"}]}], "-", 
  RowBox[{"2", " ", "z", " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["p", "\[Prime]",
       MultilineFunction->None]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.9183492322742834`*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"68ca8924-e066-42ec-8111-43ce0d593af9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Exp", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"W", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"2", "\[ImaginaryI]"}], ")"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.9183492369468155`*^9, 3.9183492540694027`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"5dac2ff4-4c04-47f6-84db-630c13af35b6"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    FractionBox[
     RowBox[{"\[ImaginaryI]", " ", "p", " ", "x"}], "q"]], " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", "x"}]], "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", "y"}]]}], ")"}]}], 
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{"x", "+", "y"}], ")"}]}]]}]]], "Output",
 CellChangeTimes->{{3.9183492475843797`*^9, 3.918349254898221*^9}},
 CellLabel->"Out[7]=",ExpressionUUID->"af31cb4f-aeb6-4301-a0d5-b4e54d438747"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Exp", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"W", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"2", "\[ImaginaryI]"}], ")"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.918349264340966*^9, 3.918349264562169*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"65d6787d-e9ef-4fa1-a005-14268044f018"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{"x", "+", "y", "-", "z"}], ")"}]}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "y"}]]}], "+", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", "z"}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{"y", "+", "z"}], ")"}]}]]}], ")"}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", "y"}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "x"}]]}], "+", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", "y"}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{"x", "+", "y"}], ")"}]}]]}], ")"}]}]]], "Output",
 CellChangeTimes->{3.918349264882705*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"3bdd26c4-1c3a-4608-adc4-86292ae0b2b1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Exp", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"W", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"2", "\[ImaginaryI]"}], ")"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.9183492736754756`*^9, 3.918349273863359*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"adc59272-abc1-47a4-a705-f48bf471280a"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "z", " ", 
     SuperscriptBox["p", "\[Prime]",
      MultilineFunction->None]}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{"y", "+", "z"}], ")"}]}]]}], ")"}]}], 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "y"}]], "-", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "z"}]]}]]], "Output",
 CellChangeTimes->{3.9183492741605854`*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"eb0f3ba3-bd22-4af4-9186-95485c6a4486"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "z_", "]"}], "=", 
  RowBox[{"1", "-", 
   RowBox[{"1", "/", "z"}]}]}]], "Input",
 CellChangeTimes->{{3.9183557968556175`*^9, 3.9183558076662264`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"f159989e-195a-402f-a554-a19951b20ac8"],

Cell[BoxData[
 RowBox[{"1", "-", 
  FractionBox["1", "z"]}]], "Output",
 CellChangeTimes->{{3.918355803369972*^9, 3.9183558080014524`*^9}},
 CellLabel->"Out[2]=",ExpressionUUID->"e4fde544-2384-4a53-bd30-1c980bde8cf8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "[", 
  RowBox[{"0.8", "+", 
   RowBox[{"0.4", "\[ImaginaryI]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9183558102433486`*^9, 3.918355821780903*^9}, {
  3.9183558868929*^9, 3.9183558933647566`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"afc3deee-00d6-4457-b4e9-ad1c11bcf0b9"],

Cell[BoxData[
 RowBox[{"0.`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.5`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{3.9183558941810284`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"75c981b0-df15-4495-8531-42589d4c3021"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "[", 
  RowBox[{"f", "[", 
   RowBox[{"0.75", "+", 
    RowBox[{"0.25", "\[ImaginaryI]"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.918355827747943*^9, 3.9183558432415066`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"2d3325da-3d2a-4ba3-8e02-07d1b5a2d9e3"],

Cell[BoxData[
 RowBox[{"2.`", "\[VeryThinSpace]", "+", 
  RowBox[{"2.0000000000000004`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{{3.918355835472063*^9, 3.918355843618419*^9}},
 CellLabel->"Out[7]=",ExpressionUUID->"c4d8c65e-13dd-45fe-ba7c-4e4fa66bde4c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "[", 
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   RowBox[{"2", "\[ImaginaryI]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9183558592037773`*^9, 3.9183558634406524`*^9}, {
  3.918355913194517*^9, 3.918355919845196*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"283339ad-f347-4725-ae66-7a6cbf79a02c"],

Cell[BoxData[
 RowBox[{
  FractionBox["6", "5"], "+", 
  FractionBox[
   RowBox[{"2", " ", "\[ImaginaryI]"}], "5"]}]], "Output",
 CellChangeTimes->{3.9183559210555725`*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"95d86622-cacc-4fea-bcb3-bea1ef95ae15"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.9183559310717545`*^9, 3.9183559337262173`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"8799bb26-7f3b-484f-bcf6-b1cf6d4bd2ea"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], "+", 
  FractionBox["\[ImaginaryI]", "4"]}]], "Output",
 CellChangeTimes->{3.9183559342266707`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"93010371-5bef-461b-803a-b926fb241bfe"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"D2", "[", "z_", "]"}], "=", 
  RowBox[{
   RowBox[{"Im", "[", 
    RowBox[{"PolyLog", "[", 
     RowBox[{"2", ",", "z"}], "]"}], "]"}], "+", 
   RowBox[{
    RowBox[{"Arg", "[", 
     RowBox[{"1", "-", "z"}], "]"}], 
    RowBox[{"Log", "[", 
     RowBox[{"Abs", "[", "z", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.9183567948590145`*^9, 3.918356895032604*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"619a9bf5-32f1-448b-81b9-6fdac17f53e7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Im", "[", 
   RowBox[{"PolyLog", "[", 
    RowBox[{"2", ",", "z"}], "]"}], "]"}], "+", 
  RowBox[{
   RowBox[{"Arg", "[", 
    RowBox[{"1", "-", "z"}], "]"}], " ", 
   RowBox[{"Log", "[", 
    RowBox[{"Abs", "[", "z", "]"}], "]"}]}]}]], "Output",
 CellChangeTimes->{{3.918356860970682*^9, 3.918356895864177*^9}},
 CellLabel->"Out[16]=",ExpressionUUID->"8a496506-6d71-4843-bb8c-3ad5ba3d0701"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D2", "[", "\[ImaginaryI]", "]"}]], "Input",
 CellChangeTimes->{{3.9183568627610283`*^9, 3.9183568749145727`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"b557191e-28f2-4744-8073-eb2173ad039e"],

Cell[BoxData["Catalan"], "Output",
 CellChangeTimes->{{3.9183568700619726`*^9, 3.9183568977333097`*^9}},
 CellLabel->"Out[17]=",ExpressionUUID->"e68fd342-500e-4c94-b97f-ca85eaa266d2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"3", 
    RowBox[{"D2", "[", 
     RowBox[{"1", "+", 
      RowBox[{"2", "\[ImaginaryI]"}]}], "]"}]}], "+", 
   RowBox[{"2", 
    RowBox[{"D2", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", "\[ImaginaryI]"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9183569009237423`*^9, 3.9183569460164056`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"485b8b5f-2f24-4555-b596-1a54ebba5f9f"],

Cell[BoxData["3.6638623767088765`"], "Output",
 CellChangeTimes->{{3.9183569188830295`*^9, 3.9183569464072895`*^9}},
 CellLabel->"Out[22]=",ExpressionUUID->"0b487877-bf32-43f5-986f-f82a7c2434e1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"J", "[", 
   RowBox[{"z1_", ",", "z2_", ",", "z3_", ",", "z4_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"z1", "-", "z3"}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"z1", "-", "z4"}], ")"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z2", "-", "z3"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"z2", "-", "z4"}], ")"}]}], ")"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.9183569708638597`*^9, 3.9183570176715517`*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"05ee5b91-f686-4d04-8f0f-3c1598940117"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"z1", "-", "z3"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"z2", "-", "z4"}], ")"}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"z2", "-", "z3"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"z1", "-", "z4"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.918357017985509*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"f0f38507-f81e-442a-b890-b2ee9fea825b"]
}, Open  ]]
},
WindowSize->{1080, 643},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
FrontEndVersion->"12.2 for Microsoft Windows (64-bit) (2021\:5e742\:67085\
\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"b40a23d4-5918-4d89-bec9-5aab418a030a"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 1713, 53, 79, "Input",ExpressionUUID->"ed18518d-4282-4a06-812b-f009209425a5"],
Cell[2296, 77, 1729, 52, 76, "Output",ExpressionUUID->"77030933-05dc-4d15-bd3a-d99461ffc3cd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4062, 134, 289, 6, 44, "Input",ExpressionUUID->"2fc5afe1-3f73-4ae4-9adf-8b6575aa83c6"],
Cell[4354, 142, 833, 23, 51, "Output",ExpressionUUID->"400baec3-3f6b-4832-91f7-028a499d2c42"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5224, 170, 289, 6, 44, "Input",ExpressionUUID->"203c4e3f-6267-471d-9f19-1ce26fcfd351"],
Cell[5516, 178, 1574, 43, 35, "Output",ExpressionUUID->"ae8e434a-2452-4638-9488-54de46a49869"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7127, 226, 289, 6, 44, "Input",ExpressionUUID->"6e7ae83c-28de-41c7-b783-aab0171e9323"],
Cell[7419, 234, 903, 25, 35, "Output",ExpressionUUID->"68ca8924-e066-42ec-8111-43ce0d593af9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8359, 264, 447, 11, 44, "Input",ExpressionUUID->"5dac2ff4-4c04-47f6-84db-630c13af35b6"],
Cell[8809, 277, 737, 19, 64, "Output",ExpressionUUID->"af31cb4f-aeb6-4301-a0d5-b4e54d438747"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9583, 301, 443, 11, 44, "Input",ExpressionUUID->"65d6787d-e9ef-4fa1-a005-14268044f018"],
Cell[10029, 314, 1481, 42, 60, "Output",ExpressionUUID->"3bdd26c4-1c3a-4608-adc4-86292ae0b2b1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11547, 361, 445, 11, 44, "Input",ExpressionUUID->"adc59272-abc1-47a4-a705-f48bf471280a"],
Cell[11995, 374, 766, 20, 56, "Output",ExpressionUUID->"eb0f3ba3-bd22-4af4-9186-95485c6a4486"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12798, 399, 273, 6, 28, "Input",ExpressionUUID->"f159989e-195a-402f-a554-a19951b20ac8"],
Cell[13074, 407, 217, 4, 48, "Output",ExpressionUUID->"e4fde544-2384-4a53-bd30-1c980bde8cf8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13328, 416, 307, 6, 28, "Input",ExpressionUUID->"afc3deee-00d6-4457-b4e9-ad1c11bcf0b9"],
Cell[13638, 424, 232, 4, 32, "Output",ExpressionUUID->"75c981b0-df15-4495-8531-42589d4c3021"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13907, 433, 290, 6, 28, "Input",ExpressionUUID->"2d3325da-3d2a-4ba3-8e02-07d1b5a2d9e3"],
Cell[14200, 441, 269, 4, 32, "Output",ExpressionUUID->"c4d8c65e-13dd-45fe-ba7c-4e4fa66bde4c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14506, 450, 324, 7, 28, "Input",ExpressionUUID->"283339ad-f347-4725-ae66-7a6cbf79a02c"],
Cell[14833, 459, 250, 6, 48, "Output",ExpressionUUID->"95d86622-cacc-4fea-bcb3-bea1ef95ae15"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15120, 470, 203, 3, 28, "Input",ExpressionUUID->"8799bb26-7f3b-484f-bcf6-b1cf6d4bd2ea"],
Cell[15326, 475, 227, 5, 48, "Output",ExpressionUUID->"93010371-5bef-461b-803a-b926fb241bfe"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15590, 485, 483, 13, 44, "Input",ExpressionUUID->"619a9bf5-32f1-448b-81b9-6fdac17f53e7"],
Cell[16076, 500, 426, 11, 32, "Output",ExpressionUUID->"8a496506-6d71-4843-bb8c-3ad5ba3d0701"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16539, 516, 216, 3, 28, "Input",ExpressionUUID->"b557191e-28f2-4744-8073-eb2173ad039e"],
Cell[16758, 521, 183, 2, 32, "Output",ExpressionUUID->"e68fd342-500e-4c94-b97f-ca85eaa266d2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16978, 528, 468, 13, 44, "Input",ExpressionUUID->"485b8b5f-2f24-4555-b596-1a54ebba5f9f"],
Cell[17449, 543, 195, 2, 32, "Output",ExpressionUUID->"0b487877-bf32-43f5-986f-f82a7c2434e1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17681, 550, 649, 19, 28, "Input",ExpressionUUID->"05ee5b91-f686-4d04-8f0f-3c1598940117"],
Cell[18333, 571, 419, 13, 50, "Output",ExpressionUUID->"f0f38507-f81e-442a-b890-b2ee9fea825b"]
}, Open  ]]
}
]
*)

